Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class PropertyToLiteralModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.rules.model.ClauseModel
                  com.bea.p13n.rules.model.PropertyToLiteralModel

All Implemented Interfaces
  Serializable, Cloneable

    public class PropertyToLiteralModel

extends ClauseModel

A model representing a sequence of user/request/session/event/application-defined property to literal value comparisons. This model supports 4 clause types:

- `wlp:user-to-literal` for user property to literal comparisons.
- `wlp:request-to-literal` for request property to literal comparisons.
- `wlp:session-to-literal` for session property to literal comparisons.
- `wlp:event-to-literal` for event property to literal comparisons.
- `wlp:application-defined-to-literal` for application-defined property to literal comparisons.

See Also
  Serialized Form

Nested Class Summary
`static class` | `PropertyToLiteralModel.Recognizer` An object which can recognizer PropertyToLiteralModels.

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary
`static String` | `APPLICATION_DEFINED_CLAUSE_TYPE` Clause type for application-defined property to literal comparison model.
`static String` | `EVENT_CLAUSE_TYPE` Clause type for event property to literal comparison model.
`static String` | `REQUEST_CLAUSE_TYPE` Clause type for request property to literal comparison model.
`static String` | `SESSION_CLAUSE_TYPE` Clause type for session property to literal comparison model.
`static String` | `USER_CLAUSE_TYPE` Clause type for user property to literal comparison model.

Fields inherited from class com.bea.p13n.rules.model.ClauseModel
`clauseType`

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`PropertyToLiteralModel()`

Method Summary
`void` | `clearCachedData()` Subclasses need to override this to clear out any cached data.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject(String clauseType)` Create a new, empty root object for the specified clauseType.
`protected boolean` | `determineIsComplete()` This is complete if it has any PropertyContainers set.
`protected static Operator` | `getOperator(org.apache.xmlbeans.XmlObject xmlOp)` Get the corresponding model operator for the specified schema operator.
`PropertyContainer[]` | `getPropertyContainers()` Get the property containers of comparisons in this clause.
`protected List<PropertyContainer>` | `getPropertyContainersNoCache()`
`PropertyContainer.JoinType` | `getPropertyContainersOuterJoin()` Get the boolean outer join logic of all the PropertyComparisons.
`PropertyRefModel.PropertySetType` | `getPropertySetType()` Get the left-hand-side PropertySetType of the comparisons we support.
`void` | `setPropertyContainers(PropertyContainer... containers)` Set the property containers for this model.
`void` | `setPropertyContainers(PropertyContainer.JoinType join, PropertyContainer... containers)` Set the property containers for this model.
`void` | `setPropertyContainersOuterJoin(PropertyContainer.JoinType join)` Set the property containers outer join for this model.
`void` | `setXmlObject(String clauseType, org.apache.xmlbeans.XmlObject clause)` Set the root xml object.

Methods inherited from class com.bea.p13n.rules.model.ClauseModel
`addBranch, addLiteral, addMethod, addMethodOrOperator, addOperator, addVariable, addVariableBinding, copy, getClauseType, getContainingRuleModel, getCopyXmlObject, initializeNew, isInActions, isInConditions, isValidTypeAlias, isValidVariableName, makeSafeCopy, toString`

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USER_CLAUSE_TYPE

    public static final String USER_CLAUSE_TYPE

  Clause type for user property to literal comparison model.

  See Also
    Constants Summary

### REQUEST_CLAUSE_TYPE

    public static final String REQUEST_CLAUSE_TYPE

  Clause type for request property to literal comparison model.

  See Also
    Constants Summary

### SESSION_CLAUSE_TYPE

    public static final String SESSION_CLAUSE_TYPE

  Clause type for session property to literal comparison model.

  See Also
    Constants Summary

### EVENT_CLAUSE_TYPE

    public static final String EVENT_CLAUSE_TYPE

  Clause type for event property to literal comparison model.

  See Also
    Constants Summary

### APPLICATION_DEFINED_CLAUSE_TYPE

    public static final String APPLICATION_DEFINED_CLAUSE_TYPE

  Clause type for application-defined property to literal comparison model.

  See Also
    Constants Summary

Constructor Detail

### PropertyToLiteralModel

    public PropertyToLiteralModel()

Method Detail

### setXmlObject

    public void setXmlObject(String clauseType,
                             org.apache.xmlbeans.XmlObject clause)
                      throws IllegalArgumentException

  Set the root xml object.

  Overrides:
    `setXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
    `clause` - the root xml object of the clause.
  Throws
    `IllegalArgumentException` - thrown if the clause is not valid for the ClauseModel or clauseType.

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject(String clauseType)
                                                     throws IllegalArgumentException

  Description copied from class: `ClauseModel`
  Create a new, empty root object for the specified clauseType.

  Subclasses need to implement this to create an appropriately typed and filled root XmlObject which represents the ClauseModel. The return value from this needs to be accepted from `ClauseModel.setXmlObject(java.lang.String, org.apache.xmlbeans.XmlObject)` for the specified clauseType.

  Specified by:
    `createNewXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
  Returns
    a new, empty initialize root object.
  Throws
    `IllegalArgumentException` - thrown on an unsupproted clauseType.

### clearCachedData

    public void clearCachedData()

  Description copied from class: `XmlObjectModel`
  Subclasses need to override this to clear out any cached data. This will be automatically called when the root XmlObject or clauseType `changes`.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

### getPropertySetType

    public PropertyRefModel.PropertySetType getPropertySetType()

  Get the left-hand-side PropertySetType of the comparisons we support.

### getPropertyContainersOuterJoin

    public PropertyContainer.JoinType getPropertyContainersOuterJoin()

  Get the boolean outer join logic of all the PropertyComparisons. If this is AND, all PropertyComparisons must be true for this to be true; if this is OR, just one PropertyComparison needs to be true for this to be true. This will not be maintained if there are no PropertyContainer children, in which case it will return AND.

### getPropertyContainers

    public PropertyContainer[] getPropertyContainers()

  Get the property containers of comparisons in this clause.

### getPropertyContainersNoCache

    protected List<PropertyContainer> getPropertyContainersNoCache()

### setPropertyContainers

    public void setPropertyContainers(PropertyContainer... containers)
                               throws IllegalArgumentException

  Set the property containers for this model.

  Throws
    `IllegalArgumentException` - if one the containers has an PropertySetType on its PropertRefModel.

### setPropertyContainersOuterJoin

    public void setPropertyContainersOuterJoin(PropertyContainer.JoinType join)

  Set the property containers outer join for this model.

### setPropertyContainers

    public void setPropertyContainers(PropertyContainer.JoinType join,
                                      PropertyContainer... containers)
                               throws IllegalArgumentException

  Set the property containers for this model.

  Throws
    `IllegalArgumentException` - if one the containers has an PropertySetType on its PropertRefModel.

### getOperator

    protected static Operator getOperator(org.apache.xmlbeans.XmlObject xmlOp)

  Get the corresponding model operator for the specified schema operator.

### determineIsComplete

    protected boolean determineIsComplete()

  This is complete if it has any PropertyContainers set.

  Overrides:
    `determineIsComplete` in class `XmlObjectModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.